
/* ArktisWM, 2019, GNU GPL3 */

#include <glib.h>
#include <gtk/gtk.h>

int main (int argc, char *argv[]) {
    if (argc == 1) {
        g_print("\n new-gtk2: GTK-2 theme argument is missing \n");
    } else {
        gchar *new_theme = argv[1];
        if (!g_file_test(new_theme, G_FILE_TEST_IS_REGULAR)) {
            g_print("\n new-gtk2: Not a regular file - %s \n", new_theme);
        } else {
            gchar *suf = "gtkrc";
            if (g_str_has_suffix (new_theme, suf)) {
                gchar *path_to_global_rc = "/root/.gtkrc-2.0";
                FILE *global_rc = fopen (path_to_global_rc, "w");
                fprintf (global_rc, "# -- THEME AUTO-WRITTEN DO NOT EDIT\ninclude \"%s\"\n\n", new_theme);
                fprintf (global_rc, "include \"/root/.gtkrc.mine\"\n\n# -- THEME AUTO-WRITTEN DO NOT EDIT\n");
                fclose (global_rc);
                gdk_init (&argc, &argv);
                GdkEventClient event = { GDK_CLIENT_EVENT, NULL, TRUE, gdk_atom_intern("_GTK_READ_RCFILES", FALSE), 8 };
                gdk_event_send_clientmessage_toall((GdkEvent *) &event);
            } else {
                g_print ("\n new-gtk2: Not a GTK-2 theme - %s \n", new_theme);
            }
        }
    }
}

